Ryzehosting
  1. domain
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. domain

check

POST
domain/check

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dash.ryzehosting.com/api/v2/domain/check' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "domain": "ryzehosting.com"
}'
Response Response Example
200 - Success
{
    "response": "Domain check completed",
    "state": "success",
    "code": 200,
    "data": {
        "searched_domain": "ryzehosting",
        "provided_tld": "com",
        "default_tld": null,
        "results": [
            {
                "domain": "ryzehosting.com",
                "available": false,
                "premium": false,
                "pricing": {
                    "register": 19.2,
                    "renew": 19.2,
                    "transfer": 19.2,
                    "restore": 68.03
                }
            },
            {
                "domain": "ryzehosting.de",
                "available": false,
                "premium": false,
                "pricing": {
                    "register": 3.87,
                    "renew": 3.14,
                    "transfer": 3.14,
                    "restore": 48
                }
            },
            {
                "domain": "ryzehosting.at",
                "available": true,
                "premium": false,
                "pricing": {
                    "register": 21.44,
                    "renew": 21.44,
                    "transfer": null,
                    "restore": 24.21
                }
            },
            {
                "domain": "ryzehosting.eu",
                "available": false,
                "premium": false,
                "pricing": {
                    "register": 4.32,
                    "renew": 8.74,
                    "transfer": 8.74,
                    "restore": 8.4
                }
            },
            {
                "domain": "ryzehosting.net",
                "available": false,
                "premium": false,
                "pricing": {
                    "register": 23.23,
                    "renew": 23.23,
                    "transfer": 23.23,
                    "restore": 96.26
                }
            }
        ],
        "total_checked": 5
    }
}
Modified at 2025-12-30 04:00:55
Previous
details
Next
order
Built with